﻿using System;
using System.Xml.Serialization;
using SubmissionModel.ContinuingDisclosure;
using SubmissionModel.Shared;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class DocumentDetailsType
	{
		[XmlElement("RefundingIssues", IsNullable = false)]
		public RefundingIssuesType RefundingIssuesType { get; set; }

		[XmlElement("OriginalCUSIP9OfRefundedSecurity")]
		public string[] OriginalCUSIP9OfRefundedSecurity { get; set; }

		[XmlElement("UnderlyingFiles", IsNullable = false)]
		public UnderlyingFilesType UnderlyingFiles { get; set; }

		[XmlAttribute]
		public string DocumentIdentifier { get; set; }

		[XmlAttribute]
		public DocumentType DocumentType { get; set; }

		[XmlAttribute]
		public string DocumentDescription { get; set; }

		[XmlAttribute]
		public DocumentStatusType DocumentStatus { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentPostingDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentArchiveDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentRemoveDate { get; set; }

		[XmlAttribute]
		public DisclosureRequirementType DisclosureRequirement { get; set; }

		[XmlElement("CUSIP9IdentifierOfRefundingIssue")]
		public string[] CUSIP9IdentifierOfRefundingIssue { get; set; }
	}
}