﻿using System;
using System.Xml.Serialization;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class IssuesType
	{
		[XmlElement("OriginalCUSIP9OfRemarketedSecurity")]
		public string[] OriginalCUSIP9OfRemarketedSecurity { get; set; }

		[XmlArrayItem("ObligatedPerson", IsNullable = false)]
		public ObligatedPersonsType[] ObligatedPersonsForContinuingDisclosureFiling { get; set; }

		[XmlElement]
		public BasicDateTime FormalAwardDateTime { get; set; }

		[XmlElement]
		public BasicDateTime FirstTradeExecutionDateTime { get; set; }

		[XmlElement("UnderlyingSecurities", IsNullable = false)]
		public UnderlyingSecuritiesType UnderlyingSecurities { get; set; }

		[XmlElement("RetailOrderPeriods")]
		public RetailOrderPeriodType RetailOrderPeriodField { get; set; }

		[XmlAttribute]
		public string RetailOrderPeriodFlag { get; set; }

		[XmlAttribute]
		public IssueType IssueType { get; set; }

		[XmlAttribute]
		public SecurityType SecurityType { get; set; }

		[XmlAttribute]
		public string IssueDescription { get; set; }

		[XmlAttribute]
		public string IssuerName { get; set; }

		[XmlAttribute]
		public string IssuerState { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime IssueClosingDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime IssueDatedDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime OriginalDatedDate { get; set; }

		[XmlAttribute]
		public string CUSIP6 { get; set; }

		[XmlAttribute]
		public IsSubjectToContinuingDisclosureAgreementType IsSubjectToContinuingDisclosureAgreement { get; set; }
	}
}
